# Uses of Enum
org.eclipse.birt.chart.model.attribute.DataType

Packages that use DataType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of DataType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type DataType
Modifier and Type
Field
Description
`static final List<DataType>`
DataType.`VALUES`
A public read-only list of all the 'Data Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return DataType
Modifier and Type
Method
Description
`static DataType`
DataType.`get(int value)`
Returns the 'Data Type' literal with the specified integer value.
`static DataType`
DataType.`get(String literal)`
Returns the 'Data Type' literal with the specified literal value.
`static DataType`
DataType.`getByName(String name)`
Returns the 'Data Type' literal with the specified name.
`static DataType`
DataType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DataType[]`
DataType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type DataType
Modifier and Type
Method
Description
`static List`
GroupingUnitType.`getGroupingUnits(DataType dataType)`
Returns grouping units type by specified data type.

## Uses of DataType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return DataType
Modifier and Type
Method
Description
`DataType`
AttributeFactoryImpl.`createDataTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataType`
AttributeFactoryImpl.`createDataTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of DataType in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return DataType
Modifier and Type
Method
Description
`DataType`
SeriesGrouping.`getGroupType()`
Returns the value of the 'Group Type' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type DataType
Modifier and Type
Method
Description
`void`
SeriesGrouping.`setGroupType(DataType value)`
Sets the value of the '`Group Type`' attribute.

## Uses of DataType in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return DataType
Modifier and Type
Method
Description
`DataType`
SeriesGroupingImpl.`getGroupType()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type DataType
Modifier and Type
Method
Description
`void`
SeriesGroupingImpl.`setGroupType(DataType newGroupType)`